LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Fields
lives_cc_params Struct Reference

`#include <colourspace.h>`

## Data Fields
void * | src
void * | srcp [4]
int | hsize
int | vsize
int | irowstrides [4]
int | orowstrides [4]
void * | dest
void * | destp [4]
boolean | in_alpha
boolean | out_alpha
boolean | in_clamped
boolean | out_clamped
int | in_subspace
int | out_subspace
int | in_sampling
int | out_sampling
boolean | alpha_first
int | thread_id

## Field Documentation

boolean lives_cc_params::alpha_first

void* lives_cc_params::dest

void* lives_cc_params::destp[4]

int lives_cc_params::hsize

boolean lives_cc_params::in_alpha

boolean lives_cc_params::in_clamped

int lives_cc_params::in_sampling

int lives_cc_params::in_subspace

int lives_cc_params::irowstrides[4]

int lives_cc_params::orowstrides[4]

boolean lives_cc_params::out_alpha

boolean lives_cc_params::out_clamped

int lives_cc_params::out_sampling

int lives_cc_params::out_subspace

void* lives_cc_params::src

void* lives_cc_params::srcp[4]

int lives_cc_params::thread_id

int lives_cc_params::vsize

The documentation for this struct was generated from the following file:

- src/colourspace.h